Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class UnmodifiableNamespaceManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.UnmodifiableNamespaceManager

All Implemented Interfaces:
  NamespaceManager, NamespaceMap

    public class UnmodifiableNamespaceManager

extends Object
implements NamespaceManager

Constructor Summary
`UnmodifiableNamespaceManager(NamespaceManager manager)`

Method Summary
`void` | `addImport(TripleStore imported)`
`void` | `addNamespaceManagerListener(NamespaceManagerListener listener)`
`String` | `getDefaultNamespace()`
`String` | `getNamespaceForPrefix(String prefix)`
`String` | `getPrefix(String namespace)`
`Collection<String>` | `getPrefixes()`
`void` | `init(OWLModel owlModel)`
`boolean` | `isModifiable(String prefix)`
`void` | `removeNamespaceManagerListener(NamespaceManagerListener listener)`
`void` | `removePrefix(String prefix)`
`void` | `setDefaultNamespace(String value)`
`void` | `setDefaultNamespace(URI uri)`
`void` | `setModifiable(String prefix, boolean value)`
`void` | `setPrefix(String namespace, String prefix)`
`void` | `setPrefix(URI namespace, String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnmodifiableNamespaceManager

    public UnmodifiableNamespaceManager(NamespaceManager manager)

Method Detail

### addNamespaceManagerListener

    public void addNamespaceManagerListener(NamespaceManagerListener listener)

  Specified by:
    `addNamespaceManagerListener` in interface `NamespaceManager`

### init

    public void init(OWLModel owlModel)

### isModifiable

    public boolean isModifiable(String prefix)

  Specified by:
    `isModifiable` in interface `NamespaceManager`

### removeNamespaceManagerListener

    public void removeNamespaceManagerListener(NamespaceManagerListener listener)

  Specified by:
    `removeNamespaceManagerListener` in interface `NamespaceManager`

### setModifiable

    public void setModifiable(String prefix,
                              boolean value)

  Specified by:
    `setModifiable` in interface `NamespaceManager`

### getDefaultNamespace

    public String getDefaultNamespace()

  Specified by:
    `getDefaultNamespace` in interface `NamespaceMap`

### getNamespaceForPrefix

    public String getNamespaceForPrefix(String prefix)

  Specified by:
    `getNamespaceForPrefix` in interface `NamespaceMap`

### getPrefix

    public String getPrefix(String namespace)

  Specified by:
    `getPrefix` in interface `NamespaceMap`

### getPrefixes

    public Collection<String> getPrefixes()

  Specified by:
    `getPrefixes` in interface `NamespaceMap`

### removePrefix

    public void removePrefix(String prefix)

  Specified by:
    `removePrefix` in interface `NamespaceMap`

### setDefaultNamespace

    public void setDefaultNamespace(String value)

  Specified by:
    `setDefaultNamespace` in interface `NamespaceMap`

### setDefaultNamespace

    public void setDefaultNamespace(URI uri)

  Specified by:
    `setDefaultNamespace` in interface `NamespaceMap`

### setPrefix

    public void setPrefix(String namespace,
                          String prefix)

  Specified by:
    `setPrefix` in interface `NamespaceMap`

### setPrefix

    public void setPrefix(URI namespace,
                          String prefix)

  Specified by:
    `setPrefix` in interface `NamespaceMap`

### addImport

    public void addImport(TripleStore imported)

  Specified by:
    `addImport` in interface `NamespaceManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.